
%
% $RCSfile: test_fconminsearch_qn.m,v $
% David Gleich
% Numerical Optimization
%
% $Author: dgleich $
% $Id: test_fconminsearch_qn.m,v 1.1 2005/03/07 02:36:57 dgleich Exp $
%

function_strings=[...
'#  1.  ROSE      2    2   Rosenbrock                             ' ;...
'#  2.  FROTH     2    2   Freudenstein and Roth                  ' ;...
'#  3.  BADSCP    2    2   Powell Badly Scaled                    ' ;...
'#  4.  BADSCB    2    3   Brown Badly Scaled                     ' ;...
'#  5.  BEALE     2    3   Beale                                  ' ;...
'#  6.  JENSAM    2   10   Jennrich and Sampson                   ' ;...
'#  7.  HELIX     3    3   Helical Valley                         ' ;...
'#  8.  BARD      3   15   Bard                                   ' ;...
'#  9.  GAUSS     3   15   Gaussian                               ' ;...
'# 10.  MEYER     3   16   Meyer                                  ' ;...
'# 11.  GULF      3   10   Gulf Research and Development          ' ;...
'# 12.  BOX       3   10   Box 3-Dimensional                      ' ;...
'# 13.  SING      4    4   Powell Singular                        ' ;...
'# 14.  WOOD      4    6   Wood                                   ' ;...
'# 15.  KOWOSB    4   11   Kowalik and Osborne                    ' ;...
'# 16.  BD        4   20   Brown and Dennis                       ' ;...
'# 17.  OSB1      5   33   Osborne 1                              ' ;...
'# 18.  BIGGS     6   13   Biggs EXP6                             ' ;...
'# 19.  OSB2     11   65   Osborne 2                              ' ;...
'# 20.  WATSON  ( 9)  31   Watson                                 ' ;...
'# 21.  ROSEX   (10) (10)  Extended Rosenbrock                    ' ;...
'# 22.  SINGX   (10) (10)  Extended Powell Singular               ' ;...
'# 23.  PEN1    ( 4) ( 5)  Penalty I                              ' ;...
'# 24.  PEN2    ( 4) ( 8)  Penalty II                             ' ;...
'# 25.  VARDIM  (10) (12)  Variably Dimensioned                   ' ;...
'# 26.  TRIG    (10) (10)  Trigonometric                          ' ;...
'# 27.  ALMOST  (10) (10)  Brown Almost Linear                    ' ;... % not available
'# 28.  BV      (10) (10)  Discrete Boundary Value                ' ;...
'# 29.  IE      (10) (10)  Discrete Integral Equation             ' ;...
'# 30.  TRID    (10) (10)  Broyden Tridiagonal                    ' ;...
'# 31.  BAND    (10) (10)  Broyden Banded                         ' ;...
'# 32.  LIN     (10) (20)  Linear --- Full Rank                   ' ;...
'# 33.  LIN1    (10) (20)  Linear --- Rank 1                      ' ;...
'# 34.  LIN0    (10) (20)  Linear - Rank 1 with Zero Cols. & Rows ' ];

function_min_values=[...
 0           , ...%01
 48.98425    , ...%02    2 local minima
 0           , ...%03
 0           , ...%04
 0           , ...%05
 124.36218   , ...%06
 0           , ...%07
 8.21487e-03 , ...%08
 1.127932e-8 , ...%09
 87.9458     , ...%10
 0           , ...%11
 0           , ...%12    a number of local minima
 0           , ...%13
 0           , ...%14
 3.075055e-4 , ...%15    additionally takes local minima on a surface
 85822.2     , ...%16
 5.46489e-5  , ...%17    a number of areas of flatness, but the only one minimum
 0           , ...%18    at least 3 local minima
 4.01377e-2  , ...%19    a number of local minima /  f'(x(2:4,6:11))=0
 1.39976e-6  , ...%20
 0           , ...%21
 0           , ...%22
 2.249975e-5 , ...%23
 9.376293e-6 , ...%24
 0           , ...%25
 2.79506e-5  , ...%26     +2 local minima
 0           , ...%27
 0           , ...%28
 0           , ...%29
 0           , ...%30     a number of local minima (essentially multiextr.)
 0           , ...%31     at least 3 local minima
 10          , ...%32
 4.63415     , ...%33     additionally takes a minimum at a surface
 6.13514     ];   %34     additionally takes a minimum at a surface

nprobs = 34;

for (ii = 1:nprobs)
    
    if (ii == 27)
        continue;
    end;
    
    fprintf('*****\n');
    fprintf('Test: %s\n', function_strings(ii,:));
    fprintf('*****\n\n');
    
    [n,m,x0] = initf(ii);
    f = @(x) objfcn(n,m,x,ii);
    g = @(x) grdfcn(n,m,x,ii);
    fminval = function_min_values(ii);
    
    %
    %
    % at this point, f, and g are the function and gradient
    % fminval is the minimum value according to the library
    % x0 is the initial condition
    %
    %
    
    
    
    
    
end;
